package com.example;

import se.vingmedia.xss.server.ClientConnection;
import se.vingmedia.xss.server.ClientProxy;
import org.w3c.dom.Element;

import java.util.Properties;

import se.vingmedia.xss.server.XMLUtil;public class SampleCounterModule
	implements se.vingmedia.xss.server.Module, se.vingmedia.xss.server.XMLTagHandler {

	private String[] tags = {"counter"};
	private static int counter = 0;

	public SampleCounterModule() {
		super();
	}

	public java.lang.String[] getTagNames() {
		return tags;
	}

	public boolean xmlTag(ClientConnection client,  ClientProxy proxy,
	    				  Element element)
		throws se.vingmedia.xss.server.ParserException, java.io.IOException {
		counter++;
		Properties p = new Properties();
		p.setProperty("count", "" + counter);
		client.send(XMLUtil.simpleTag("counter-reply", p));
		proxy.serverBroadcast(client, XMLUtil.simpleTag("counter-update", p), true);
		return true;
	}
}